{
  "schema_version": "1.4.0",
  "id": "GHSA-hr5j-672h-fcgc",
  "modified": "2022-05-03T03:20:31Z",
  "published": "2022-05-03T03:20:31Z",
  "aliases": [
    "CVE-2009-3609"
  ],
  "details": "Integer overflow in the ImageStream::ImageStream function in Stream.cc in Xpdf before 3.02pl4 and Poppler before 0.12.1, as used in GPdf, kdegraphics KPDF, and CUPS pdftops, allows remote attackers to cause a denial of service (application crash) via a crafted PDF document that triggers a NULL pointer dereference or buffer over-read.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-3609"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=526893"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/53800"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11043"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8134"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1500.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1501.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1502.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1503.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1504.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1512.html"
    },
    {
      "type": "WEB",
      "url": "https://rhn.redhat.com/errata/RHSA-2009-1513.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00750.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00784.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035340.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035399.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035408.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-11/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://poppler.freedesktop.org"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37023"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37028"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37034"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37037"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37043"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37051"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37054"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37061"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37077"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37079"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37114"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37159"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39327"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39938"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1023029"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-274030-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-77-1021706.1-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2028"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2050"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:287"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:334"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:175"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0755.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/36703"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-850-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-850-3"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2924"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2925"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2926"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2928"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/0802"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1220"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-10-21T17:30:00Z"
  }
}